> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new suite

> Create a new suite (run plan)



## OpenAPI

````yaml POST /api/suites
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/suites:
    post:
      description: Create a new suite (run plan)
      operationId: postApiSuites
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                description:
                  type: string
                scenarioIds:
                  type: array
                  items:
                    type: string
                  minItems: 1
                targets:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - prompt
                          - http
                          - code
                          - workflow
                      referenceId:
                        type: string
                    required:
                      - type
                      - referenceId
                  minItems: 1
                repeatCount:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 1
                labels:
                  type: array
                  items:
                    type: string
                  default: []
              required:
                - name
                - scenarioIds
                - targets
      responses:
        '201':
          description: Suite created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  slug:
                    type: string
                  description:
                    type:
                      - string
                      - 'null'
                  scenarioIds:
                    type: array
                    items:
                      type: string
                  targets:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - prompt
                            - http
                            - code
                            - workflow
                        referenceId:
                          type: string
                      required:
                        - type
                        - referenceId
                  repeatCount:
                    type: number
                  labels:
                    type: array
                    items:
                      type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  platformUrl:
                    type: string
                    format: uri
                required:
                  - id
                  - name
                  - slug
                  - description
                  - scenarioIds
                  - targets
                  - repeatCount
                  - labels
                  - createdAt
                  - updatedAt
                  - platformUrl
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````